Cyberduck Mountain Duck CLI

#6814 closed defect (fixed)

Crash in Rendezvous resolver

Reported by: lynnel Owned by:
Priority: normal Milestone: 4.3
Component: core Version: 4.2.1
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Hello, I've upgraded to Mac OSX Mountain Lion, and now Cyberduck keeps crashing.

I've tried trashing prefs, reinstalling, everything, but I cannot open it.

Mac Pro 2 x 2.26 GHz Quad-Core Intel Xeon 20 GB RAM

Available space on hard drive 1.5 TB

Attachments (1)

cyberduck_error report.rtf (111.6 KB) - added by lynnel on Aug 11, 2012 at 6:09:34 PM.
crash report

Download all attachments as: .zip

Change History (5)

Changed on Aug 11, 2012 at 6:09:34 PM by lynnel

crash report

comment:1 Changed on Aug 17, 2012 at 10:54:19 PM by dkocher

Crashed Thread:  55  Java: Thread-15

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000006a91aa4

VM Regions Near 0x6a91aa4:
    MALLOC_SMALL           0000000005800000-0000000006800000 [ 16.0M] rw-/rwx SM=PRV  
--> __TEXT                 0000000006800000-0000000006b62000 [ 3464K] r-x/rwx SM=COW  /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Libraries/libclient.dylib
    __DATA                 0000000006b62000-0000000006b82000 [  128K] rw-/rwx SM=ZER  /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Libraries/libclient.dylib

Application Specific Information:
Java information:
 Exception type: Bus Error (0xa) at pc=0000000090df0c5b
 
 Java VM: Java HotSpot(TM) Client VM (20.8-b03-424 mixed mode macosx-x86)
 
Current thread (00000000308c6000):  JavaThread "Thread-15" [_thread_in_native, id=-1291399168, stack(00000000b2f6d000,00000000b306d000)]
Stack: [00000000b2f6d000,00000000b306d000]
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
J  com.sun.jna.Native.invokeInt(JI[Ljava/lang/Object;)I
J  com.sun.jna.Function.invoke([Ljava/lang/Object;Ljava/lang/Class;Z)Ljava/lang/Object;
J  com.sun.jna.Function.invoke(Ljava/lang/Class;[Ljava/lang/Object;Ljava/util/Map;)Ljava/lang/Object;
J  org.rococoa.internal.MsgSendHandler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  com.sun.jna.Library$Handler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  $Proxy0.syntheticSendMessage(Ljava/lang/Class;Lorg/rococoa/ID;Lorg/rococoa/Selector;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.Foundation.send(Lorg/rococoa/ID;Lorg/rococoa/Selector;Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(Ljava/lang/reflect/Method;Lorg/rococoa/ID;Ljava/lang/String;Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.intercept(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;Lnet/sf/cglib/proxy/MethodProxy;)Ljava/lang/Object;
j  ch.cyberduck.ui.cocoa.foundation.NSDateFormatter$$ByRococoa.stringFromDate(Lch/cyberduck/ui/cocoa/foundation/NSDate;)Ljava/lang/String;+36
j  ch.cyberduck.ui.cocoa.UserDefaultsDateFormatter.getLongFormat(JZ)Ljava/lang/String;+25
j  ch.cyberduck.ui.AbstractDateFormatter.getLongFormat(J)Ljava/lang/String;+3
j  ch.cyberduck.core.AbstractRendezvous.add(Ljava/lang/String;Ljava/lang/String;ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;)V+100
j  ch.cyberduck.core.RendezvousResponder.serviceResolved(Lcom/apple/dnssd/DNSSDService;IILjava/lang/String;Ljava/lang/String;ILcom/apple/dnssd/TXTRecord;)V+136
v  ~StubRoutines::call_stub
j  com.apple.dnssd.AppleService.ProcessResults()I+0
j  com.apple.dnssd.AppleService.run()V+33
j  java.lang.Thread.run()V+11
v  ~StubRoutines::call_stub

comment:2 Changed on Aug 17, 2012 at 10:56:19 PM by dkocher

  • Milestone set to 4.2.2
  • Summary changed from crashing to Crash in Rendezvous resolver

comment:3 Changed on Aug 17, 2012 at 11:00:47 PM by dkocher

As a temporary workaround, disable Bonjour discovery services using the hidden configuration option

defaults write ch.sudo.cyberduck rendezvous.enable false

comment:4 Changed on Sep 25, 2012 at 5:27:20 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Duplicate for #6829. Fixed in r9695.

Note: See TracTickets for help on using tickets.
swiss made software